## org.apache.poi.hwpf.model
Class OldSectionTable

    java.lang.Object
      org.apache.poi.hwpf.model.SectionTable
          org.apache.poi.hwpf.model.OldSectionTable

    @Internal
    public final class OldSectionTable

extends SectionTable

This class holds all of the section formatting properties from Old (Word 6 / Word 95) documents. Unlike with Word 97+, it all gets held in the same stream. In common with the rest of the old support, it is read only

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.SectionTable
`_sections, _text`

Constructor Summary
`OldSectionTable(byte[] documentStream, int offset, int size)`
`OldSectionTable(byte[] documentStream, int offset, int size, int fcMin, TextPieceTable tpt)` Deprecated. Use `OldSectionTable(byte[],int,int)` instead

Method Summary

Methods inherited from class org.apache.poi.hwpf.model.SectionTable
`adjustForInsert, getSections, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldSectionTable

    @Deprecated
    public OldSectionTable(byte[] documentStream,
                                      int offset,
                                      int size,
                                      int fcMin,
                                      TextPieceTable tpt)

  Deprecated. Use `OldSectionTable(byte[],int,int)` instead

### OldSectionTable

    public OldSectionTable(byte[] documentStream,
                           int offset,
                           int size)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.